Linux Users

Reply
This is an open group. Sign in and click the "Join Group" button to become a group member and start posting.

steps to install the NI-488.2 drivers on Ubuntu 9.10-amd64?

Hi,

Title says it all.  Board will be an NI PCI-GPIB once I pick one up off eBay.  I was just going to go with the drivers from the default libgpib-3.2 library, but realized that I desperately require ibnotify() due to the complexity of the I/O I have planned.  Basically, if the answer is "no way in hell" as I suspect, I guess I could implement my own ibnotify() in user space.  Anyone ever done that?

0 Kudos
Message 1 of 4
(6,361 Views)
3 REPLIES
Highlighted

Re: steps to install the NI-488.2 drivers on Ubuntu 9.10-amd64?

if the answer is "no way in hell" as I suspect

Well, yes, currently out-of-the-box the NI-488.2 driver won't work on the 2.6.31 kernel that comes with Ubuntu 9.10.  Until that does work you do have options, one of which is using libgpib-3.2 as you mentioned.  If you have the flexibility to use an earlier version of the kernel (still on 9.10 but compiling it yourself) you can use NI-488.2, or if you want to follow the tutorial on an earlier version of Ubuntu.  Since you are specifically asking about 9.10 perhaps you already have reasons why you want to have that latest version that are important.

0 Kudos
Message 2 of 4
(3,950 Views)

Re: steps to install the NI-488.2 drivers on Ubuntu 9.10-amd64?

Hello,

Our current installer (2.5.4) is RPM-only, but  y

ou may be able to install RPM on your ubuntu machine and then run ./INSTALL --nodeps for NI-488.2.

I hope this helps!

Steven T.

0 Kudos
Message 3 of 4
(3,950 Views)

Re: steps to install the NI-488.2 drivers on Ubuntu 9.10-amd64?

Hopefully you guys can get back into the development phase.  Thanks for the help, but I'll try doing my own ibnotify() and work with the FOSS driver instead.

0 Kudos
Message 4 of 4
(3,950 Views)
Reply
This is an open group. Sign in and click the "Join Group" button to become a group member and start posting.